import { DocumentationExtractor } from './documentation-extractor';
import { Format } from '../model/format';
import { TemplateEngine } from './template-engine';
import { FileOutputStream } from './file-output-stream';
export interface FileParser {
    parse(files: string[], outputDirectory: string, format: Format): void;
}
export declare class FileParserImpl implements FileParser {
    private readonly _documentationExtractor;
    private readonly _templateEngine;
    private readonly _outputStream;
    constructor(_documentationExtractor: DocumentationExtractor, _templateEngine: TemplateEngine, _outputStream: FileOutputStream);
    parse(files: string[], outputDirectory: string, format: Format): void;
    private _parseFile;
    private _defineFilePath;
}
